Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.state
Class YesNoMaybeDialogState

    java.lang.Object
      |
      +--org.jbrain.qlink.state.AbstractState
            |
            +--org.jbrain.qlink.state.AbstractPhaseState
                  |
                  +--org.jbrain.qlink.state.AbstractDialogState
                        |
                        +--org.jbrain.qlink.state.YesNoMaybeDialogState

All Implemented Interfaces:
  QState

public class YesNoMaybeDialogState
extends AbstractDialogState

Field Summary

Fields inherited from class org.jbrain.qlink.state.AbstractDialogState
`_callback, _dialog, PHASE_ALLOCATE, PHASE_RESPONSE`

Fields inherited from class org.jbrain.qlink.state.AbstractState
`_session`

Constructor Summary
`YesNoMaybeDialogState(QSession session, YesNoDialog dialog, DialogCallBack callback)`

Method Summary
`boolean` | `execute(Action a)`

Methods inherited from class org.jbrain.qlink.state.AbstractDialogState
`activate`

Methods inherited from class org.jbrain.qlink.state.AbstractPhaseState
`getPhase, setPhase`

Methods inherited from class org.jbrain.qlink.state.AbstractState
`checkEmail, getName, passivate, terminate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### YesNoMaybeDialogState

    public YesNoMaybeDialogState(QSession session,
                                 YesNoDialog dialog,
                                 DialogCallBack callback)

Method Detail

### execute

    public boolean execute(Action a)
                    throws java.io.IOException

  Specified by:
    `execute` in interface `QState`
  Overrides:
    `execute` in class `AbstractDialogState`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD